package com.inkasso.factoring.acceptanceManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 验收单_人员信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
@TableName("c_acceptance_person_info")
public class CAcceptancePersonInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单Id
     */
    @TableField("c_acceptance_basic_info_id")
    private Long cAcceptanceBasicInfoId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 证件类型
     */
    @TableField("card_type")
    private String cardType;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 证件号码
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 签署人
     */
    @TableField(exist = false)
    private Integer signer;


    /**
     * 是否是 其他
     * @return
     */
    @TableField("other")
    private Boolean other;


    public Boolean getOther() {
        return other;
    }

    public void setOther(Boolean other) {
        this.other = other;
    }

    public Long getcAcceptanceBasicInfoId() {
        return cAcceptanceBasicInfoId;
    }

    public void setcAcceptanceBasicInfoId(Long cAcceptanceBasicInfoId) {
        this.cAcceptanceBasicInfoId = cAcceptanceBasicInfoId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSigner() {
        return signer;
    }

    public void setSigner(Integer signer) {
        this.signer = signer;
    }

    @Override
    public String toString() {
        return "CAcceptancePersonInfo{" +
                ", cAcceptanceBasicInfoId=" + cAcceptanceBasicInfoId +
                ", name=" + name +
                ", cardType=" + cardType +
                ", type=" + type +
                ", socialCreditCode=" + socialCreditCode +
                ", mobile=" + mobile +
                ", remark=" + remark +
                "}";
    }
}
